import type { ServiceType, IServiceDescriptorResolver, IServiceDescriptor, IServiceCollection } from "../types/index.js";
import { BaseServiceTypeResolver } from "./BaseServiceTypeResolver.js";
export declare class ListServiceTypeResolver<T> extends BaseServiceTypeResolver<T, T[]> {
    constructor(next: ServiceType<T>);
    resolve(collection: IServiceCollection, resolveServiceImplementation: IServiceDescriptorResolver, requestedBy: Set<IServiceDescriptor<any>>, mode: "sync" | "async"): Generator<Promise<unknown>, T[], unknown>;
}
//# sourceMappingURL=ListServiceTypeResolver.d.ts.map